Bug 241899 - ACPI3.0b Package parameter support
ACPI3.0b Package parameter support
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
urgent Severity high
: ---
: ---
Assigned To: Brian Maly
Martin Jenner
: OtherQA
Depends On:
Blocks: 223289 372911 420521 422431 422441
  Show dependency treegraph
 
Reported: 2007-05-31 11:20 EDT by Bryn M. Reeves
Modified: 2010-10-22 11:24 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:43:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch from acpi-test tree for package parameter support (9.47 KB, patch)
2007-05-31 11:20 EDT, Bryn M. Reeves
no flags Details | Diff

  None (edit)
Description Bryn M. Reeves 2007-05-31 11:20:48 EDT
Description of problem:
The 2.6.18 acpi implementation does not support method parameters of 'package'
type. For e.g. if a device defines a _DSM method (device specific method) and
that method is invoked from the driver, messages like the following are logged:

ACPI Error (utcopy-0610): Packages as parameters not implemented! [20060707]

Version-Release number of selected component (if applicable):
2.6.18-8.el5

How reproducible:
100%

Steps to Reproduce:
1. Create/use an ACPI device that defines a _DSM method
2. Invoke the _DSM method from the driver
  
Actual results:
Messages like that above are logged.

Expected results:
Succesful return from the _DSM method.

Additional info:
Support for package parameters was added to Len Brown's ACPI -test- tree in the
20070508 ACPI-CA code drop. The code is not yet in mainline but the attached
patch contains just the changes required to support package parameters.

DSM argument definitions (ACPI3.0b):
9.15.1 _DSM (Device Specific Method)
This optional object is a control method that enables devices to provide device
specific control functions
that are consumed by the device driver.
Arguments:
          Arg0 (Buffer):             UUID
          Arg1 (Integer):            Revision ID
          Arg2 (Integer):            Function Index
          Arg3 (Package):            Arguments
Comment 1 Bryn M. Reeves 2007-05-31 11:20:49 EDT
Created attachment 155824 [details]
Patch from acpi-test tree for package parameter support
Comment 3 Peter Martuccelli 2007-06-20 10:40:12 EDT
Code is upstream as of .22, no devel ACK for R5.1.  Feature will be
considered/targeted for inclusion in R5.2.
Comment 6 Brian Maly 2007-06-25 16:00:24 EDT
How is this hardware affected by this issue? Is it just error messages in the
log? Or is the hardware non-functional in some way? Please provide a detailed
description on the extent of this problem.
Comment 8 Doug Chapman 2007-08-01 17:49:57 EDT
(In reply to comment #6)
> How is this hardware affected by this issue? Is it just error messages in the
> log? Or is the hardware non-functional in some way? Please provide a detailed
> description on the extent of this problem.

Brian, this might already be in one of the private comments but to answer this
question please see issue-tracker #119834

thanks,

- Doug
Comment 9 Peter Martuccelli 2007-08-15 16:32:31 EDT
Exception denied for R5.1, moving out to R5.2.
Comment 11 Jeanne Colon-Bonet 2007-09-07 14:01:41 EDT
blocks - 223289: FEAT:RHEL5.2: P-state Support; 844; BCS, HP tracking in Issue 
Tracker 119834
Comment 12 Doug Chapman 2007-10-25 16:11:32 EDT
Brian,

Please let me know if there is anything I can do to help get this patch into
RHEL5.2.

- Doug
Comment 13 Myron Stowe 2007-11-01 12:24:53 EDT
FYI  The upstream patch corresponding to this is available at
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=6287ee32952b502c23d54f12895c3895ddbe5013

Any idea when you may get to this?
Comment 17 Luming Yu 2007-12-13 01:24:23 EST
re-assign to Brian.
Comment 18 Don Zickus 2008-01-21 12:27:03 EST
in 2.6.18-71.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 20 John Poelstra 2008-03-20 23:50:56 EDT
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot1--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you
Comment 22 errata-xmlrpc 2008-05-21 10:43:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.